{ lib, config, pkgs, ... }:

let 
  cfg = config.main-user;
in
{
  options.main-user = {
    enable = lib.mkEnableOption "enable main-user module";
    userName = lib.mkOption {
      default = "submin";
      description = ''
        username
      '';
    };
  };

  config = lib.mkIf cfg.enable {
    users.users.${cfg.userName} = {
      isNormalUser = true;
      initialPassword = "B@dC0d3MangFIX|T";
      description = lib.mkDefault "Just a normal admin";
      extraGroups = [ "wheel" "networkmanager" "docker" ];
      packages = with pkgs; [
        kdePackages.kate
        thunderbird
        keepassxc
        macchina
        z-lua
        logseq # REQUIRES TEMPORARY INSECURE ELECTRON
        signal-desktop
        ddev
        vscodium
      ];
    };
  };
}
